Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.2.136.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
136.2.136.0
Broadcast address
136.2.139.255
First usable
136.2.136.1
Last usable
136.2.139.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
B (default /16)
As numbers
Hex 88028800 · Integer 2281867264 to 2281868287
Reverse DNS zones
136.2.136.in-addr.arpa
137.2.136.in-addr.arpa
138.2.136.in-addr.arpa
139.2.136.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.00000010.10001000.00000000136.2.136.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network10001000.00000010.10001000.00000000136.2.136.0
Broadcast10001000.00000010.10001011.11111111136.2.139.255
Split into smaller subnets/32

136.2.136.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.2.136.0/32136.2.136.0 to 136.2.136.0—1
2136.2.136.1/32136.2.136.1 to 136.2.136.1—1
3136.2.136.2/32136.2.136.2 to 136.2.136.2—1
4136.2.136.3/32136.2.136.3 to 136.2.136.3—1
5136.2.136.4/32136.2.136.4 to 136.2.136.4—1
6136.2.136.5/32136.2.136.5 to 136.2.136.5—1
7136.2.136.6/32136.2.136.6 to 136.2.136.6—1
8136.2.136.7/32136.2.136.7 to 136.2.136.7—1
9136.2.136.8/32136.2.136.8 to 136.2.136.8—1
10136.2.136.9/32136.2.136.9 to 136.2.136.9—1
11136.2.136.10/32136.2.136.10 to 136.2.136.10—1
12136.2.136.11/32136.2.136.11 to 136.2.136.11—1
13136.2.136.12/32136.2.136.12 to 136.2.136.12—1
14136.2.136.13/32136.2.136.13 to 136.2.136.13—1
15136.2.136.14/32136.2.136.14 to 136.2.136.14—1
16136.2.136.15/32136.2.136.15 to 136.2.136.15—1
17136.2.136.16/32136.2.136.16 to 136.2.136.16—1
18136.2.136.17/32136.2.136.17 to 136.2.136.17—1
19136.2.136.18/32136.2.136.18 to 136.2.136.18—1
20136.2.136.19/32136.2.136.19 to 136.2.136.19—1
21136.2.136.20/32136.2.136.20 to 136.2.136.20—1
22136.2.136.21/32136.2.136.21 to 136.2.136.21—1
23136.2.136.22/32136.2.136.22 to 136.2.136.22—1
24136.2.136.23/32136.2.136.23 to 136.2.136.23—1
25136.2.136.24/32136.2.136.24 to 136.2.136.24—1
26136.2.136.25/32136.2.136.25 to 136.2.136.25—1
27136.2.136.26/32136.2.136.26 to 136.2.136.26—1
28136.2.136.27/32136.2.136.27 to 136.2.136.27—1
29136.2.136.28/32136.2.136.28 to 136.2.136.28—1
30136.2.136.29/32136.2.136.29 to 136.2.136.29—1
31136.2.136.30/32136.2.136.30 to 136.2.136.30—1
32136.2.136.31/32136.2.136.31 to 136.2.136.31—1
33136.2.136.32/32136.2.136.32 to 136.2.136.32—1
34136.2.136.33/32136.2.136.33 to 136.2.136.33—1
35136.2.136.34/32136.2.136.34 to 136.2.136.34—1
36136.2.136.35/32136.2.136.35 to 136.2.136.35—1
37136.2.136.36/32136.2.136.36 to 136.2.136.36—1
38136.2.136.37/32136.2.136.37 to 136.2.136.37—1
39136.2.136.38/32136.2.136.38 to 136.2.136.38—1
40136.2.136.39/32136.2.136.39 to 136.2.136.39—1
41136.2.136.40/32136.2.136.40 to 136.2.136.40—1
42136.2.136.41/32136.2.136.41 to 136.2.136.41—1
43136.2.136.42/32136.2.136.42 to 136.2.136.42—1
44136.2.136.43/32136.2.136.43 to 136.2.136.43—1
45136.2.136.44/32136.2.136.44 to 136.2.136.44—1
46136.2.136.45/32136.2.136.45 to 136.2.136.45—1
47136.2.136.46/32136.2.136.46 to 136.2.136.46—1
48136.2.136.47/32136.2.136.47 to 136.2.136.47—1
49136.2.136.48/32136.2.136.48 to 136.2.136.48—1
50136.2.136.49/32136.2.136.49 to 136.2.136.49—1
51136.2.136.50/32136.2.136.50 to 136.2.136.50—1
52136.2.136.51/32136.2.136.51 to 136.2.136.51—1
53136.2.136.52/32136.2.136.52 to 136.2.136.52—1
54136.2.136.53/32136.2.136.53 to 136.2.136.53—1
55136.2.136.54/32136.2.136.54 to 136.2.136.54—1
56136.2.136.55/32136.2.136.55 to 136.2.136.55—1
57136.2.136.56/32136.2.136.56 to 136.2.136.56—1
58136.2.136.57/32136.2.136.57 to 136.2.136.57—1
59136.2.136.58/32136.2.136.58 to 136.2.136.58—1
60136.2.136.59/32136.2.136.59 to 136.2.136.59—1
61136.2.136.60/32136.2.136.60 to 136.2.136.60—1
62136.2.136.61/32136.2.136.61 to 136.2.136.61—1
63136.2.136.62/32136.2.136.62 to 136.2.136.62—1
64136.2.136.63/32136.2.136.63 to 136.2.136.63—1
65136.2.136.64/32136.2.136.64 to 136.2.136.64—1
66136.2.136.65/32136.2.136.65 to 136.2.136.65—1
67136.2.136.66/32136.2.136.66 to 136.2.136.66—1
68136.2.136.67/32136.2.136.67 to 136.2.136.67—1
69136.2.136.68/32136.2.136.68 to 136.2.136.68—1
70136.2.136.69/32136.2.136.69 to 136.2.136.69—1
71136.2.136.70/32136.2.136.70 to 136.2.136.70—1
72136.2.136.71/32136.2.136.71 to 136.2.136.71—1
73136.2.136.72/32136.2.136.72 to 136.2.136.72—1
74136.2.136.73/32136.2.136.73 to 136.2.136.73—1
75136.2.136.74/32136.2.136.74 to 136.2.136.74—1
76136.2.136.75/32136.2.136.75 to 136.2.136.75—1
77136.2.136.76/32136.2.136.76 to 136.2.136.76—1
78136.2.136.77/32136.2.136.77 to 136.2.136.77—1
79136.2.136.78/32136.2.136.78 to 136.2.136.78—1
80136.2.136.79/32136.2.136.79 to 136.2.136.79—1
81136.2.136.80/32136.2.136.80 to 136.2.136.80—1
82136.2.136.81/32136.2.136.81 to 136.2.136.81—1
83136.2.136.82/32136.2.136.82 to 136.2.136.82—1
84136.2.136.83/32136.2.136.83 to 136.2.136.83—1
85136.2.136.84/32136.2.136.84 to 136.2.136.84—1
86136.2.136.85/32136.2.136.85 to 136.2.136.85—1
87136.2.136.86/32136.2.136.86 to 136.2.136.86—1
88136.2.136.87/32136.2.136.87 to 136.2.136.87—1
89136.2.136.88/32136.2.136.88 to 136.2.136.88—1
90136.2.136.89/32136.2.136.89 to 136.2.136.89—1
91136.2.136.90/32136.2.136.90 to 136.2.136.90—1
92136.2.136.91/32136.2.136.91 to 136.2.136.91—1
93136.2.136.92/32136.2.136.92 to 136.2.136.92—1
94136.2.136.93/32136.2.136.93 to 136.2.136.93—1
95136.2.136.94/32136.2.136.94 to 136.2.136.94—1
96136.2.136.95/32136.2.136.95 to 136.2.136.95—1
97136.2.136.96/32136.2.136.96 to 136.2.136.96—1
98136.2.136.97/32136.2.136.97 to 136.2.136.97—1
99136.2.136.98/32136.2.136.98 to 136.2.136.98—1
100136.2.136.99/32136.2.136.99 to 136.2.136.99—1
101136.2.136.100/32136.2.136.100 to 136.2.136.100—1
102136.2.136.101/32136.2.136.101 to 136.2.136.101—1
103136.2.136.102/32136.2.136.102 to 136.2.136.102—1
104136.2.136.103/32136.2.136.103 to 136.2.136.103—1
105136.2.136.104/32136.2.136.104 to 136.2.136.104—1
106136.2.136.105/32136.2.136.105 to 136.2.136.105—1
107136.2.136.106/32136.2.136.106 to 136.2.136.106—1
108136.2.136.107/32136.2.136.107 to 136.2.136.107—1
109136.2.136.108/32136.2.136.108 to 136.2.136.108—1
110136.2.136.109/32136.2.136.109 to 136.2.136.109—1
111136.2.136.110/32136.2.136.110 to 136.2.136.110—1
112136.2.136.111/32136.2.136.111 to 136.2.136.111—1
113136.2.136.112/32136.2.136.112 to 136.2.136.112—1
114136.2.136.113/32136.2.136.113 to 136.2.136.113—1
115136.2.136.114/32136.2.136.114 to 136.2.136.114—1
116136.2.136.115/32136.2.136.115 to 136.2.136.115—1
117136.2.136.116/32136.2.136.116 to 136.2.136.116—1
118136.2.136.117/32136.2.136.117 to 136.2.136.117—1
119136.2.136.118/32136.2.136.118 to 136.2.136.118—1
120136.2.136.119/32136.2.136.119 to 136.2.136.119—1
121136.2.136.120/32136.2.136.120 to 136.2.136.120—1
122136.2.136.121/32136.2.136.121 to 136.2.136.121—1
123136.2.136.122/32136.2.136.122 to 136.2.136.122—1
124136.2.136.123/32136.2.136.123 to 136.2.136.123—1
125136.2.136.124/32136.2.136.124 to 136.2.136.124—1
126136.2.136.125/32136.2.136.125 to 136.2.136.125—1
127136.2.136.126/32136.2.136.126 to 136.2.136.126—1
128136.2.136.127/32136.2.136.127 to 136.2.136.127—1
129136.2.136.128/32136.2.136.128 to 136.2.136.128—1
130136.2.136.129/32136.2.136.129 to 136.2.136.129—1
131136.2.136.130/32136.2.136.130 to 136.2.136.130—1
132136.2.136.131/32136.2.136.131 to 136.2.136.131—1
133136.2.136.132/32136.2.136.132 to 136.2.136.132—1
134136.2.136.133/32136.2.136.133 to 136.2.136.133—1
135136.2.136.134/32136.2.136.134 to 136.2.136.134—1
136136.2.136.135/32136.2.136.135 to 136.2.136.135—1
137136.2.136.136/32136.2.136.136 to 136.2.136.136—1
138136.2.136.137/32136.2.136.137 to 136.2.136.137—1
139136.2.136.138/32136.2.136.138 to 136.2.136.138—1
140136.2.136.139/32136.2.136.139 to 136.2.136.139—1
141136.2.136.140/32136.2.136.140 to 136.2.136.140—1
142136.2.136.141/32136.2.136.141 to 136.2.136.141—1
143136.2.136.142/32136.2.136.142 to 136.2.136.142—1
144136.2.136.143/32136.2.136.143 to 136.2.136.143—1
145136.2.136.144/32136.2.136.144 to 136.2.136.144—1
146136.2.136.145/32136.2.136.145 to 136.2.136.145—1
147136.2.136.146/32136.2.136.146 to 136.2.136.146—1
148136.2.136.147/32136.2.136.147 to 136.2.136.147—1
149136.2.136.148/32136.2.136.148 to 136.2.136.148—1
150136.2.136.149/32136.2.136.149 to 136.2.136.149—1
151136.2.136.150/32136.2.136.150 to 136.2.136.150—1
152136.2.136.151/32136.2.136.151 to 136.2.136.151—1
153136.2.136.152/32136.2.136.152 to 136.2.136.152—1
154136.2.136.153/32136.2.136.153 to 136.2.136.153—1
155136.2.136.154/32136.2.136.154 to 136.2.136.154—1
156136.2.136.155/32136.2.136.155 to 136.2.136.155—1
157136.2.136.156/32136.2.136.156 to 136.2.136.156—1
158136.2.136.157/32136.2.136.157 to 136.2.136.157—1
159136.2.136.158/32136.2.136.158 to 136.2.136.158—1
160136.2.136.159/32136.2.136.159 to 136.2.136.159—1
161136.2.136.160/32136.2.136.160 to 136.2.136.160—1
162136.2.136.161/32136.2.136.161 to 136.2.136.161—1
163136.2.136.162/32136.2.136.162 to 136.2.136.162—1
164136.2.136.163/32136.2.136.163 to 136.2.136.163—1
165136.2.136.164/32136.2.136.164 to 136.2.136.164—1
166136.2.136.165/32136.2.136.165 to 136.2.136.165—1
167136.2.136.166/32136.2.136.166 to 136.2.136.166—1
168136.2.136.167/32136.2.136.167 to 136.2.136.167—1
169136.2.136.168/32136.2.136.168 to 136.2.136.168—1
170136.2.136.169/32136.2.136.169 to 136.2.136.169—1
171136.2.136.170/32136.2.136.170 to 136.2.136.170—1
172136.2.136.171/32136.2.136.171 to 136.2.136.171—1
173136.2.136.172/32136.2.136.172 to 136.2.136.172—1
174136.2.136.173/32136.2.136.173 to 136.2.136.173—1
175136.2.136.174/32136.2.136.174 to 136.2.136.174—1
176136.2.136.175/32136.2.136.175 to 136.2.136.175—1
177136.2.136.176/32136.2.136.176 to 136.2.136.176—1
178136.2.136.177/32136.2.136.177 to 136.2.136.177—1
179136.2.136.178/32136.2.136.178 to 136.2.136.178—1
180136.2.136.179/32136.2.136.179 to 136.2.136.179—1
181136.2.136.180/32136.2.136.180 to 136.2.136.180—1
182136.2.136.181/32136.2.136.181 to 136.2.136.181—1
183136.2.136.182/32136.2.136.182 to 136.2.136.182—1
184136.2.136.183/32136.2.136.183 to 136.2.136.183—1
185136.2.136.184/32136.2.136.184 to 136.2.136.184—1
186136.2.136.185/32136.2.136.185 to 136.2.136.185—1
187136.2.136.186/32136.2.136.186 to 136.2.136.186—1
188136.2.136.187/32136.2.136.187 to 136.2.136.187—1
189136.2.136.188/32136.2.136.188 to 136.2.136.188—1
190136.2.136.189/32136.2.136.189 to 136.2.136.189—1
191136.2.136.190/32136.2.136.190 to 136.2.136.190—1
192136.2.136.191/32136.2.136.191 to 136.2.136.191—1
193136.2.136.192/32136.2.136.192 to 136.2.136.192—1
194136.2.136.193/32136.2.136.193 to 136.2.136.193—1
195136.2.136.194/32136.2.136.194 to 136.2.136.194—1
196136.2.136.195/32136.2.136.195 to 136.2.136.195—1
197136.2.136.196/32136.2.136.196 to 136.2.136.196—1
198136.2.136.197/32136.2.136.197 to 136.2.136.197—1
199136.2.136.198/32136.2.136.198 to 136.2.136.198—1
200136.2.136.199/32136.2.136.199 to 136.2.136.199—1
201136.2.136.200/32136.2.136.200 to 136.2.136.200—1
202136.2.136.201/32136.2.136.201 to 136.2.136.201—1
203136.2.136.202/32136.2.136.202 to 136.2.136.202—1
204136.2.136.203/32136.2.136.203 to 136.2.136.203—1
205136.2.136.204/32136.2.136.204 to 136.2.136.204—1
206136.2.136.205/32136.2.136.205 to 136.2.136.205—1
207136.2.136.206/32136.2.136.206 to 136.2.136.206—1
208136.2.136.207/32136.2.136.207 to 136.2.136.207—1
209136.2.136.208/32136.2.136.208 to 136.2.136.208—1
210136.2.136.209/32136.2.136.209 to 136.2.136.209—1
211136.2.136.210/32136.2.136.210 to 136.2.136.210—1
212136.2.136.211/32136.2.136.211 to 136.2.136.211—1
213136.2.136.212/32136.2.136.212 to 136.2.136.212—1
214136.2.136.213/32136.2.136.213 to 136.2.136.213—1
215136.2.136.214/32136.2.136.214 to 136.2.136.214—1
216136.2.136.215/32136.2.136.215 to 136.2.136.215—1
217136.2.136.216/32136.2.136.216 to 136.2.136.216—1
218136.2.136.217/32136.2.136.217 to 136.2.136.217—1
219136.2.136.218/32136.2.136.218 to 136.2.136.218—1
220136.2.136.219/32136.2.136.219 to 136.2.136.219—1
221136.2.136.220/32136.2.136.220 to 136.2.136.220—1
222136.2.136.221/32136.2.136.221 to 136.2.136.221—1
223136.2.136.222/32136.2.136.222 to 136.2.136.222—1
224136.2.136.223/32136.2.136.223 to 136.2.136.223—1
225136.2.136.224/32136.2.136.224 to 136.2.136.224—1
226136.2.136.225/32136.2.136.225 to 136.2.136.225—1
227136.2.136.226/32136.2.136.226 to 136.2.136.226—1
228136.2.136.227/32136.2.136.227 to 136.2.136.227—1
229136.2.136.228/32136.2.136.228 to 136.2.136.228—1
230136.2.136.229/32136.2.136.229 to 136.2.136.229—1
231136.2.136.230/32136.2.136.230 to 136.2.136.230—1
232136.2.136.231/32136.2.136.231 to 136.2.136.231—1
233136.2.136.232/32136.2.136.232 to 136.2.136.232—1
234136.2.136.233/32136.2.136.233 to 136.2.136.233—1
235136.2.136.234/32136.2.136.234 to 136.2.136.234—1
236136.2.136.235/32136.2.136.235 to 136.2.136.235—1
237136.2.136.236/32136.2.136.236 to 136.2.136.236—1
238136.2.136.237/32136.2.136.237 to 136.2.136.237—1
239136.2.136.238/32136.2.136.238 to 136.2.136.238—1
240136.2.136.239/32136.2.136.239 to 136.2.136.239—1
241136.2.136.240/32136.2.136.240 to 136.2.136.240—1
242136.2.136.241/32136.2.136.241 to 136.2.136.241—1
243136.2.136.242/32136.2.136.242 to 136.2.136.242—1
244136.2.136.243/32136.2.136.243 to 136.2.136.243—1
245136.2.136.244/32136.2.136.244 to 136.2.136.244—1
246136.2.136.245/32136.2.136.245 to 136.2.136.245—1
247136.2.136.246/32136.2.136.246 to 136.2.136.246—1
248136.2.136.247/32136.2.136.247 to 136.2.136.247—1
249136.2.136.248/32136.2.136.248 to 136.2.136.248—1
250136.2.136.249/32136.2.136.249 to 136.2.136.249—1
251136.2.136.250/32136.2.136.250 to 136.2.136.250—1
252136.2.136.251/32136.2.136.251 to 136.2.136.251—1
253136.2.136.252/32136.2.136.252 to 136.2.136.252—1
254136.2.136.253/32136.2.136.253 to 136.2.136.253—1
255136.2.136.254/32136.2.136.254 to 136.2.136.254—1
256136.2.136.255/32136.2.136.255 to 136.2.136.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses